<?php

namespace Drupal\alter_entity_autocomplete\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Defines a form that configures forms module settings.
 */
class EntityAutocompleteFieldConfigurationForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'alter_entity_autocomplete_admin_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'alter_entity_autocomplete.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('alter_entity_autocomplete.settings');

    $form['alter_autocomplete_field_name'] = [
      '#type' => 'textfield',
      '#title' => $this->t('User Entity Field Name'),
      '#default_value' => $config->get('alter_autocomplete_field_name'),
      '#description' => $this->t('Enter field machine name (i.e mail).'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('alter_entity_autocomplete.settings')
      ->set('alter_autocomplete_field_name', $form_state->getValue('alter_autocomplete_field_name'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
